Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyTypeSeq Class Reference

`#include <Policy_ForwardC.h>`

Inheritance diagram for CORBA::PolicyTypeSeq:

[legend]
Collaboration diagram for CORBA::PolicyTypeSeq:

[legend]
List of all members.

## Public Types
typedef PolicyTypeSeq_var | _var_type
## Public Methods
| PolicyTypeSeq (void)
| PolicyTypeSeq (CORBA::ULong max)
| PolicyTypeSeq (CORBA::ULong max, CORBA::ULong length, CORBA::ULong *buffer, CORBA::Boolean release=0)
| PolicyTypeSeq (const PolicyTypeSeq &)
| ~PolicyTypeSeq (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef PolicyTypeSeq_var CORBA::PolicyTypeSeq::_var_type

## Constructor & Destructor Documentation

CORBA::PolicyTypeSeq::PolicyTypeSeq | ( | void |  | ) |

CORBA::PolicyTypeSeq::PolicyTypeSeq | ( | CORBA::ULong | max | ) |

CORBA::PolicyTypeSeq::PolicyTypeSeq | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::ULong * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

CORBA::PolicyTypeSeq::PolicyTypeSeq | ( | const PolicyTypeSeq & |  | ) |

CORBA::PolicyTypeSeq::~PolicyTypeSeq | ( | void |  | ) |

## Member Function Documentation

void CORBA::PolicyTypeSeq::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- Policy_ForwardC.h
- Policy_ForwardC.cpp